#ifndef GENERALMIDI_H
#define GENERALMIDI_H

// convenience for remembering General MIDI drum maps.  I'm merely assuming most conventional drum kits
// will follow a similar mapping.
typedef enum _gm_note_numbers
{
  gm_acoustic_bass_drum=35,
  gm_bass_drum_1,
  gm_side_stick,
  gm_acoustic_snare,
  gm_hand_clap,
  gm_electric_snare,
  gm_low_floor_tom,
  gm_closed_hi_hat,
  gm_high_floor_tom,
  gm_pedal_hi_hat,
  gm_low_tom,
  gm_open_hi_hat,
  gm_low_mid_tom,
  gm_hi_mid_tom,
  gm_crash_cymbal_1,
  gm_high_tom,
  gm_ride_cymbal_1,
  gm_chinese_cymbal,
  gm_ride_bell,
  gm_tambourine,
  gm_splash_cymbal,
  gm_cowbell,
  gm_crash_cymbal_2,
  gm_vibraslap,
  gm_ride_cymbal_2,
  gm_hi_bongo,
  gm_low_bongo,
  gm_mute_hi_conga,
  gm_open_hi_conga,
  gm_low_conga,
  gm_high_timbale,
  gm_low_timeale,
  gm_high_agogo,
  gm_low_agogo,
  gm_cabasa,
  gm_maracas,
  gm_short_whistle,
  gm_long_whistle,
  gm_short_guiro,
  gm_long_guiro,
  gm_claves,
  gm_hi_wood_block,
  gm_low_wood_block,
  gm_mute_cuica,
  gm_open_cuica,
  gm_mute_triangle,
  gm_open_triangle
} GmNote;

#endif
