#ifndef QS7_SCRATCHNOISE_H
#define QS7_SCRATCHNOISE_H

#include "generalmidi.h"

/*
  These are two possible scratch noise note values. There are several prpograms on the QS7 that seem to conform to these, e.g.,
    - PRG-1:120 "DM5 Drums"
    - PRG-2:120 "Pop Up Kit"
    - PRG-USER:120 "Real Rock"
    
  I have no idea if these are consistent from synth to synth (I assume they are not).  Depending on the instrument, they
  should be edited for the proper note value.  You may even have to create a custom drum kit to make sure the proper sound
  is included.
*/
#define SCRATCH_NOISE_1 (gm_acoustic_bass_drum - 5)
#define SCRATCH_NOISE_2 (gm_acoustic_bass_drum - 6)

#endif
