#ifndef NECK_BUTTONS_H
#define NECK_BUTTONS_H

// using pins 23 - 27

#define orange_button 24
//#define yellow_button 26 // not connected?
#define blue_button 23
#define green_button 25
#define red_button 22

#define DEBOUNCE_TIME_MS 100

class NeckButton
{
  public:
    NeckButton(int button);
    void checkForEvent();
    
  protected:
    virtual void onPress();
    virtual void onHold();
    virtual void onRelease();
    
  private:
    int button;
    int state;
    long change_time; // for debouncing
};

#endif
